#include <iostream>

using namespace std;

int main()
{
    long int N, i, j, pr;
    cin >> N;
    int niz[N];
    for(i=0; i<N; i++)
    {
        cin >> niz[i];
    }

    if(N==2)
    {
        pr=niz[0];
        niz[0]=niz[1];
        niz[1]=pr;
        goto print;
    }


    for(i=0; i<N-1; i++)
        for(j=i+1; j<N; j++)
        {
            if (niz[j] > niz[i])
            {
                pr=niz[j];
                niz[j]=niz[i];
                niz[i]=pr;
                goto print;
            }
        }

    print:
    for(i=0; i<N; i++)
    {
        cout << niz[i] << " ";
    }
}